diff --git a/src/bin/pg_dump/pg_dump.c b/src/bin/pg_dump/pg_dump.c
index d5f1269f93..fbf4e1356b 100644
--- a/src/bin/pg_dump/pg_dump.c
+++ b/src/bin/pg_dump/pg_dump.c
@@ -16738,6 +16738,7 @@ dumpSequence(Archive *fout, TableInfo *tbinfo)
 	PQExpBuffer query = createPQExpBuffer();
 	PQExpBuffer delqry = createPQExpBuffer();
 	char	   *qseqname;
+	TableInfo  *owning_tab;
 
 	qseqname = pg_strdup(fmtId(tbinfo->dobj.name));
 
@@ -16849,10 +16850,13 @@ dumpSequence(Archive *fout, TableInfo *tbinfo)
 												tbinfo->dobj.catId.oid);
 	}
 
-	if (tbinfo->is_identity_sequence)
+	/*
+	 * Only dump the ALTER TABLE portion if the table is not to be excluded
+	 * from the dump.
+	 */
+	if (tbinfo->is_identity_sequence &&
+		(owning_tab = findTableByOid(tbinfo->owning_tab))->interesting)
 	{
-		TableInfo  *owning_tab = findTableByOid(tbinfo->owning_tab);
-
 		appendPQExpBuffer(query,
 						  "ALTER TABLE %s ",
 						  fmtQualifiedDumpable(owning_tab));
@@ -16895,7 +16899,7 @@ dumpSequence(Archive *fout, TableInfo *tbinfo)
 					  "    CACHE %s%s",
 					  cache, (cycled ? "\n    CYCLE" : ""));
 
-	if (tbinfo->is_identity_sequence)
+	if (tbinfo->is_identity_sequence && owning_tab->interesting)
 		appendPQExpBufferStr(query, "\n);\n");
 	else
 		appendPQExpBufferStr(query, ";\n");
